#include <iostream>
#include <string>
#include <algorithm>
#include <bits/stdc++.h>


using namespace std;



int main()
{
    int n;
    cin>>n;
    string s;
    cin>>s;
    if(n == 26)
    {
        bool p=true;
        for(int i = 0; i<n-1; i++)
        {
            if(s[i]>=s[i+1])
            {
                p=false;
            }
        }
        if(p)cout<<1;
        else cout<<0;
    }
    else
        if(n<26)cout<<0;
        else
           if(n==27)
        {
            float suma2;
            float sumax=0;
            float suma3=0;
            char l;
            for(int i = 0; i<n; i++)
            {
                sumax=0;
                suma2=0;
                for(int j=0; j<n; j++)
                {
                    if(s[i]==s[j])sumax+=1;
                    suma2=1/sumax;

                }
                if(suma2!=1)
                {
                    l=s[i];
                }
                suma3+=suma2;

            }
            int suma=ceil(suma3);
            //cout<<suma<<" "<<l;
            if(suma!=26)cout<<0;
            else
            {
                int sum=0;
                int sum2=0;
                for(int i = 0; i<n-1; i++)
                {
                   if( s[i]>s[i+1] && s[i]!=l && s[i+1]!=l)sum++;
                }
               // cout<<sum<<endl;

                if(sum>0)cout<<0;
                    else
                        if(s[26]==l && s[26]>=s[25])
                    {
                        sum2++;
                    }
                        for(int i=0; i<n-1; i++)
                        {
                            if(s[i]==l && s[i]<=s[i+1] && s[i]>=s[i-1])sum2++;

                        }
                        cout<<sum2;


}
}
else cout<<0;
}